Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Events

    java.lang.Object
      org.jboss.seam.core.Events

    @Scope(value=STATELESS)
    @Intercept(value=NEVER)
    @Name(value="org.jboss.seam.core.events")
    @Install(precedence=0)
    public class Events

extends Object

Constructor Summary
`Events()`

Method Summary
`void` | `addListener(String type, String methodBindingExpression)`
`static boolean` | `exists()`
`protected LocalDispatcher` | `getDispatcher()`
`void` | `initialize()`
`static Events` | `instance()`
`void` | `raiseAsynchronousEvent(String type, Object... parameters)`
`void` | `raiseEvent(String type, Object... parameters)`
`void` | `raiseTimedEvent(String type, Date expiration, long intervalDuration, Object... parameters)`
`void` | `raiseTimedEvent(String type, Date expiration, Object... parameters)`
`void` | `raiseTimedEvent(String type, long duration, long intervalDuration)`
`void` | `raiseTimedEvent(String type, long duration, Object... parameters)`
`void` | `raiseTransactionSuccessEvent(String type, Object... parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Events

    public Events()

Method Detail

### initialize

    @Create
    public void initialize()
                    throws org.dom4j.DocumentException

  Throws:
    `org.dom4j.DocumentException`

### addListener

    public void addListener(String type,
                            String methodBindingExpression)

### raiseEvent

    public void raiseEvent(String type,
                           Object... parameters)

### raiseAsynchronousEvent

    public void raiseAsynchronousEvent(String type,
                                       Object... parameters)

### getDispatcher

    protected LocalDispatcher getDispatcher()

### raiseTransactionSuccessEvent

    public void raiseTransactionSuccessEvent(String type,
                                             Object... parameters)

### raiseTimedEvent

    public void raiseTimedEvent(String type,
                                long duration,
                                Object... parameters)

### raiseTimedEvent

    public void raiseTimedEvent(String type,
                                Date expiration,
                                Object... parameters)

### raiseTimedEvent

    public void raiseTimedEvent(String type,
                                Date expiration,
                                long intervalDuration,
                                Object... parameters)

### raiseTimedEvent

    public void raiseTimedEvent(String type,
                                long duration,
                                long intervalDuration)

### exists

    public static boolean exists()

### instance

    public static Events instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD